Viewing Issue Advanced Details Jump to Notes ] maygay1b.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06366 Crash/Freeze Critical (emulator) Always Sep 3, 2016, 19:54 Sep 4, 2016, 15:43
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To galibert Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver maygay1b.cpp
Version 0.177 Fixed in Version 0.178 Build Normal
Summary 06366: All sets in maygay1b.hxx: Fatal Error when starting
Description Attempting running of any set within this driver causes:
Fatal error: Duplicate save state registration entry (memory/:mcu/0/00000000-00000fff)
Steps To Reproduce
Additional Information Breakage happens late August 28, early August 29, 2016
Flags
Regression Version 0.177
Affected Sets / Systems All sets in maygay1b.hxx
Attached Files
 


-  Notes
User avatar
No.13108
Osso
(Developer)
Sep 4, 2016, 06:42
edited on: Sep 4, 2016, 06:48
Seems I broke it here: http://git.redump.net/mame/commit/?id=7c6a527e2630f9317e2941ea991e8d7df1282544
but that was a fix for other save state regressions.
I'm at a loss on how to fix both problems, maybe someone can have a look? If not I think my commit should be reverted, since it completely prevents all those games from running, while before only save states in some games didn't work correctly.